 clear all
 close all 

   
  figure 
  
[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(411)
 c_idct       = idct(c, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy 
   xlabel('Frame index')
 ylabel('Ch-F index')
title('FEPSTRUM-zakladne kepstralne koef. (clean,white,music,street)')
 

[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(412)
  c_idct       = idct(c, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);   
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(413) 
  c_idct       = idct(c, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(414)
  c_idct       = idct(c, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
   figure 
  
[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(411)
 c_idct       = idct(vx, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy 
   xlabel('Frame index')
 ylabel('Ch-F index')
title('FEPSTRUM-diferencne kepstralne koef. (clean,white,music,street)')
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(412)
  c_idct       = idct(vx, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);   
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(413) 
  c_idct       = idct(vx, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(414)
  c_idct       = idct(vx, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
    figure 
  

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(411)
 c_idct       = idct(ax, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy 
   xlabel('Frame index')
 ylabel('Ch-F index')
title('FEPSTRUM-akcelarcne kepstralne koef. (clean,white,music,street)')
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);  
  subplot(412)
  c_idct       = idct(ax, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);   
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(413) 
  c_idct       = idct(ax, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(414)
  c_idct       = idct(ax, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
    figure 
  

[d,sr] = wavread('sb01_Clean.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(411)
 c_idct       = idct(all, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy 
   xlabel('Frame index')
 ylabel('Ch-F index')
title('FEPSTRUM-39 kepstralnych koef. (clean,white,music,street)')
 
[d,sr] = wavread('sb01_White_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr); 
  subplot(412)
  c_idct       = idct(all, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1);   
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(413) 
  c_idct       = idct(all, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
   [c , vx , ax , all] = fepstrum_30ms_w_10ms_over(d, sr);
  subplot(414)
  c_idct       = idct(all, 39);
 str_hod = mean(c_idct(:));
 smer_odch  = std(c_idct(:));
 far_skala_1 = 35 - str_hod;
 far_skala_2 = 10 / smer_odch;
 image(far_skala_2 * c_idct + far_skala_1); 
  axis xy
     xlabel('Frame index')
 ylabel('Ch-F index')